Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::iter_transform_fn Struct Reference

## Synopsis of methods
constexpr view< iter_transform_fn > | iter_transform {}

## Public Member Functions
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> iter_transform_view< all_t< Rng >, Fun > requires ViewableRange< Rng > &&InputRange< Rng > &&CopyConstructible< Fun > &&detail::IterTransform1Readable< Fun, Rng >
template<typename Rng1 , typename Rng2 , typename Fun >
auto | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const -> iter_transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > requires ViewableRange< Rng1 > &&InputRange< Rng1 > &&ViewableRange< Rng2 > &&InputRange< Rng2 > &&CopyConstructible< Fun > &&Common< range_difference_t< Rng1 >, range_difference_t< Rng1 >> &&detail::IterTransform2Readable< Fun, Rng1, Rng2 >